firefly avatar firefly committed db217a6

Add jellybeans & update some dotfiles

Comments (0)

Files changed (30)

 !urxvt.color15: #D4D4A4
 !urxvt.color16: #1E1EF8
 
+
+! -- xft settings ---------------------------------------------------
+!Xft.dpi:       96
+!Xft.antialias: true
+!Xft.rgba:      rgb
+!Xft.lcdfilter: lcddefault
+!Xft.hinting:   true
+!Xft.hintstyle: hintfull
+
     key <AD07> { [         g,          G,          jot,           at ]	}; // U+2219 BULLET OPERATOR
     key <AD08> { [         c,          C,           at,           at ]	};
     key <AD09> { [         r,          R,           at,           at ]	};
-    key <AD10> { [         l,          L,           at,           at ]	};
+    key <AD10> { type[Group1] = "THREE_LEVEL", symbols[Group1] = [ l, L, Right ] };
     key <AD11> { [     comma,  semicolon,      radical,  dead_ogonek ]	};
     key <AD12> { [ dead_diaeresis, dead_circumflex, asciitilde, asciicircum ]	};
  // key <AD12> { [ dead_diaeresis, dead_circumflex, dead_tilde, asciicircum ]	};
     key <AC04> { [         u,          U,   parenright,           at ]	};
     key <AC05> { [         i,          I,     infinity,           at ]	};
     key <AC06> { [         d,          D,           at,           at ]	};
-    // make sure that e.g. altgr+shift+h gets interpreted as Shift+Left
-    key <AC07> { type[Group1] = "THREE_LEVEL", symbols[Group1] = [ h, H,  Left,  Left ]	};
-    key <AC08> { type[Group1] = "THREE_LEVEL", symbols[Group1] = [ t, T,  Down,  Down ]	};
-    key <AC09> { type[Group1] = "THREE_LEVEL", symbols[Group1] = [ n, N,    Up,    Up ]	};
-    key <AC10> { type[Group1] = "THREE_LEVEL", symbols[Group1] = [ s, S, Right, Right ]	};
+    // TODO: make sure that e.g. altgr+shift+h gets interpreted as Shift+Left
+    key <AC07> { type[Group1] = "THREE_LEVEL", symbols[Group1] = [ h, H,  Left ] };
+    key <AC08> { type[Group1] = "THREE_LEVEL", symbols[Group1] = [ t, T,  Down ] };
+    key <AC09> { type[Group1] = "THREE_LEVEL", symbols[Group1] = [ n, N,    Up ] };
+    key <AC10> { type[Group1] = "THREE_LEVEL", symbols[Group1] = [ s, S, Right ] };
     key <AC11> { [     minus, underscore, dead_belowdot, dead_macron ]	};
 
     key <AB01> { [    period,   colon, periodcentered, dead_abovedot ]	};
     key <AB02> { [         q,          Q,           at,      because ]	};
-    key <AB03> { [         j,          J,    elementof, notelementof ]	};
-    key <AB04> { [         k,          K,           at,           at ]	};
+    key <AB03> { type[Group1] = "THREE_LEVEL", symbols[Group1] = [ j, J,  Down ] };
+  //key <AB03> { [         j,          J,    elementof, notelementof ]	};
+    key <AB04> { type[Group1] = "THREE_LEVEL", symbols[Group1] = [ k, K,    Up ] };
+  //key <AB04> { [         k,          K,           at,           at ]	};
     key <AB05> { [         x,          X,           at,           at ]	};
     key <AB06> { [         b,          B,           at,           at ]	};
     key <AB07> { [         m,          M,           mu,           at ]	};
 // │     │ 1 ¡ │ 2 @ │ 3 £ │ 4 $ │ 5   │ 6   │ 7 { │ 8 [ │ 9 ] │ 0 } │ + \ │ ´ ± ┃   BS    ┃
 // ┢━━━━━┷━┱───┴─┬───┴─┬───┴─┬───┴─┬───┴─┬───┴─┬───┴─┬───┴─┬───┴─┬───┴─┬───┴─┬───┺━┳━━━━━━━┫
 // ┃       ┃     │     │     │     │     │     │     │     │     │     │ ;   │ ^ ^ ┃       ┃
-// ┃ Tab   ┃ å   │ ä   │ ö € │ p   │ y   │ f   │ g ∘ │ c   │ r   │ l   │ , √ │ ¨ ~ ┃       ┃
+// ┃ Tab   ┃ å   │ ä   │ ö € │ p   │ y   │ f   │ g ∘ │ c   │ r   │ l  │ , √ │ ¨ ~ ┃       ┃
 // ┣━━━━━━━┻┱────┴┬────┴┬────┴┬────┴┬────┴┬────┴┬────┴┬────┴┬────┴┬────┴┬────┴┬────┺┓  CR  ┃
 // ┃ (Esc)  ┃   Æ │   Ø │     │     │     │     │     │     │     │     │ _   │ * × ┃      ┃
 // ┃ Ctrl_L ┃ a æ │ o ø │ e ( │ u ) │ i ∞ │ d   │ h ← │ t ↓ │ n ↑ │ s → │ -   │ '   ┃      ┃
 // ┣━━━━━━━┳┹────┬┴────┬┴────┬┴────┬┴────┬┴────┬┴────┬┴────┬┴────┬┴────┬┴────┲┷━━━━━┻━━━━━━┫
-// ┃       ┃ >   │ :   │     │   ∉ │     │     │     │     │     │     │     ┃             ┃
-// ┃ Shift ┃ < | │ . · │ q   │ j ∈ │ k   │ x   │ b   │ m µ │ w   │ v   │ z   ┃             ┃
+// ┃       ┃ >   │ :   │     │     │     │     │     │     │     │     │     ┃             ┃
+// ┃ Shift ┃ < | │ . · │ q   │ j ↓ │ k ↑ │ x   │ b   │ m µ │ w   │ v   │ z   ┃             ┃
 // ┣━━━━━━━╋━━━━━┷━┳━━━┷━━━┱─┴─────┴─────┴─────┴─────┴─────┴───┲━┷━━━━━╈━━━━━┻━┳━━━━━━━┳━━━┛
 // ┃       ┃       ┃       ┃                                   ┃       ┃       ┃       ┃
 // ┃       ┃ Mod4  ┃  Alt  ┃               Space               ┃ AltGr ┃       ┃       ┃
   #  31     32      33    34       35    36
   # red  green  yellow  blue  magenta  cyan
   case "$1" in
-      firefly-desky ) echo "green"   ;;
-      firefly-lappy ) echo "red"     ;;
-      firefly-xen   ) echo "yellow"  ;;
-      firefly-n900  ) echo "cyan"    ;;
-      *.kth.se      ) echo "blue"    ;;
-      Nokia-N900    ) echo "cyan"    ;;
-      *             ) echo "magenta" ;;
+    firefly-desky ) echo "green"   ;;
+    firefly-lappy ) echo "red"     ;;
+    firefly-xen   ) echo "yellow"  ;;
+    firefly-n900  ) echo "cyan"    ;;
+    *.kth.se      ) echo "blue"    ;;
+    Nokia-N900    ) echo "cyan"    ;;
+    *             ) echo "magenta" ;;
   esac
 }
 
 
 #### Vars & aliases #################################################
 
-# Environment variables
+# Make sure that a command exists and allows the given flags, by attempting to
+# run it with said flags + "--version" (to prevent default operation).
+#   Makes the assumption that the program complains about unrecognized flags,
+# and that it has a "--version" flag that returns zero on success.
+function try_alias {
+  to_be_bound="$1" # $to_be_bound is the command that is to be bound,
+  shift            # $* is the target of the aliasing.
+
+  # Attempt to run the command...
+  $@ --version >/dev/null 2>&1   \
+  && alias $to_be_bound="$*"
+  # ...and make sure that it exited with an exit code of 0.
+}
+
+# Like try_alias, but for environment variables
+function try_export {
+  # see `try_alias` above
+  to_be_bound="$1"  # the variable to assign & export
+  shift
+
+  # Attempt to run..
+  $@ --version >/dev/null 2>&1   \
+  && export $to_be_bound="$*"
+}
+
+## Environment variables
 export EDITOR=vim
 #export VISUAL=gvim
 export PAGER=less
 export BROWSER=luakit
 
-if [ x$TERM != xlinux ]; then
-#	export TERM=xterm
-	export TERM=rxvt-unicode-256color
-fi
-#[ -n "$TMUX" ] && export TERM=screen-256color
+#if [ x$TERM != xlinux ]; then
+#  export TERM=xterm
+#  export TERM=rxvt-unicode-256color
+#fi
 
-export PATH="$PATH:$HOME/bin:$HOME/node_modules/.bin"
+export PATH="$PATH:$HOME/bin:$HOME/node_modules/.bin:$HOME/.cabal/bin"
 
 export DEVKITPRO="/opt/devkitpro"
 export DEVKITARM="${DEVKITPRO}/devkitARM"
 export GTK_IM_MODULE=ibus
 export QT_IM_MODULE=ibus
 
-# Utility variables
+### Utility variables
 export brightness="/sys/class/backlight/intel_backlight/brightness"
 
 
-# Make sure that a command exists and allows the given flags, by attempting to
-# run it with said flags + "--version" (to prevent default operation).
-#   Makes the assumption that the program complains about unrecognized flags,
-# and that it has a "--version" flag that returns zero on success.
-function try_alias {
-  to_be_bound="$1" # $to_be_bound is the command that is to be bound,
-  shift            # $@ is the target of the aliasing.
+## Aliases
+try_alias  ls    ls --color=auto
+try_alias  grep  grep --color=auto
+try_alias  sed   ssed
+#try_export PAGER "/usr/share/vim/vim73/macros/less.sh"
+try_export PAGER "$HOME/.vim/macros/less.sh"
 
-  # Attempt to run the command...
-  $@ --version >/dev/null 2>&1
-
-  # ...and make sure that it exited with an exit code of 0.
-  [ $? ] && alias $to_be_bound="$@"
-}
-
-# Aliases
-try_alias ls   "ls --color=auto"
-try_alias grep "grep --color=auto"
-try_alias sed  "ssed"
+# `less` is in my muscle memory...
+#alias less=$PAGER
 
 alias ..="cd .."
 alias ...="cd ../.."

vim/bundle/jellybeans.vim/.git/HEAD

+ref: refs/heads/master

vim/bundle/jellybeans.vim/.git/config

+[core]
+	repositoryformatversion = 0
+	filemode = true
+	bare = false
+	logallrefupdates = true
+[remote "origin"]
+	fetch = +refs/heads/*:refs/remotes/origin/*
+	url = https://github.com/nanotech/jellybeans.vim
+[branch "master"]
+	remote = origin
+	merge = refs/heads/master

vim/bundle/jellybeans.vim/.git/description

+Unnamed repository; edit this file 'description' to name the repository.

vim/bundle/jellybeans.vim/.git/hooks/applypatch-msg.sample

+#!/bin/sh
+#
+# An example hook script to check the commit log message taken by
+# applypatch from an e-mail message.
+#
+# The hook should exit with non-zero status after issuing an
+# appropriate message if it wants to stop the commit.  The hook is
+# allowed to edit the commit message file.
+#
+# To enable this hook, rename this file to "applypatch-msg".
+
+. git-sh-setup
+test -x "$GIT_DIR/hooks/commit-msg" &&
+	exec "$GIT_DIR/hooks/commit-msg" ${1+"$@"}
+:

vim/bundle/jellybeans.vim/.git/hooks/commit-msg.sample

+#!/bin/sh
+#
+# An example hook script to check the commit log message.
+# Called by "git commit" with one argument, the name of the file
+# that has the commit message.  The hook should exit with non-zero
+# status after issuing an appropriate message if it wants to stop the
+# commit.  The hook is allowed to edit the commit message file.
+#
+# To enable this hook, rename this file to "commit-msg".
+
+# Uncomment the below to add a Signed-off-by line to the message.
+# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
+# hook is more suited to it.
+#
+# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
+# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
+
+# This example catches duplicate Signed-off-by lines.
+
+test "" = "$(grep '^Signed-off-by: ' "$1" |
+	 sort | uniq -c | sed -e '/^[ 	]*1[ 	]/d')" || {
+	echo >&2 Duplicate Signed-off-by lines.
+	exit 1
+}

vim/bundle/jellybeans.vim/.git/hooks/post-update.sample

+#!/bin/sh
+#
+# An example hook script to prepare a packed repository for use over
+# dumb transports.
+#
+# To enable this hook, rename this file to "post-update".
+
+exec git update-server-info

vim/bundle/jellybeans.vim/.git/hooks/pre-applypatch.sample

+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed
+# by applypatch from an e-mail message.
+#
+# The hook should exit with non-zero status after issuing an
+# appropriate message if it wants to stop the commit.
+#
+# To enable this hook, rename this file to "pre-applypatch".
+
+. git-sh-setup
+test -x "$GIT_DIR/hooks/pre-commit" &&
+	exec "$GIT_DIR/hooks/pre-commit" ${1+"$@"}
+:

vim/bundle/jellybeans.vim/.git/hooks/pre-commit.sample

+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed.
+# Called by "git commit" with no arguments.  The hook should
+# exit with non-zero status after issuing an appropriate message if
+# it wants to stop the commit.
+#
+# To enable this hook, rename this file to "pre-commit".
+
+if git rev-parse --verify HEAD >/dev/null 2>&1
+then
+	against=HEAD
+else
+	# Initial commit: diff against an empty tree object
+	against=4b825dc642cb6eb9a060e54bf8d69288fbee4904
+fi
+
+# If you want to allow non-ascii filenames set this variable to true.
+allownonascii=$(git config hooks.allownonascii)
+
+# Redirect output to stderr.
+exec 1>&2
+
+# Cross platform projects tend to avoid non-ascii filenames; prevent
+# them from being added to the repository. We exploit the fact that the
+# printable range starts at the space character and ends with tilde.
+if [ "$allownonascii" != "true" ] &&
+	# Note that the use of brackets around a tr range is ok here, (it's
+	# even required, for portability to Solaris 10's /usr/bin/tr), since
+	# the square bracket bytes happen to fall in the designated range.
+	test $(git diff --cached --name-only --diff-filter=A -z $against |
+	  LC_ALL=C tr -d '[ -~]\0' | wc -c) != 0
+then
+	echo "Error: Attempt to add a non-ascii file name."
+	echo
+	echo "This can cause problems if you want to work"
+	echo "with people on other platforms."
+	echo
+	echo "To be portable it is advisable to rename the file ..."
+	echo
+	echo "If you know what you are doing you can disable this"
+	echo "check using:"
+	echo
+	echo "  git config hooks.allownonascii true"
+	echo
+	exit 1
+fi
+
+# If there are whitespace errors, print the offending file names and fail.
+exec git diff-index --check --cached $against --

vim/bundle/jellybeans.vim/.git/hooks/pre-rebase.sample

+#!/bin/sh
+#
+# Copyright (c) 2006, 2008 Junio C Hamano
+#
+# The "pre-rebase" hook is run just before "git rebase" starts doing
+# its job, and can prevent the command from running by exiting with
+# non-zero status.
+#
+# The hook is called with the following parameters:
+#
+# $1 -- the upstream the series was forked from.
+# $2 -- the branch being rebased (or empty when rebasing the current branch).
+#
+# This sample shows how to prevent topic branches that are already
+# merged to 'next' branch from getting rebased, because allowing it
+# would result in rebasing already published history.
+
+publish=next
+basebranch="$1"
+if test "$#" = 2
+then
+	topic="refs/heads/$2"
+else
+	topic=`git symbolic-ref HEAD` ||
+	exit 0 ;# we do not interrupt rebasing detached HEAD
+fi
+
+case "$topic" in
+refs/heads/??/*)
+	;;
+*)
+	exit 0 ;# we do not interrupt others.
+	;;
+esac
+
+# Now we are dealing with a topic branch being rebased
+# on top of master.  Is it OK to rebase it?
+
+# Does the topic really exist?
+git show-ref -q "$topic" || {
+	echo >&2 "No such branch $topic"
+	exit 1
+}
+
+# Is topic fully merged to master?
+not_in_master=`git rev-list --pretty=oneline ^master "$topic"`
+if test -z "$not_in_master"
+then
+	echo >&2 "$topic is fully merged to master; better remove it."
+	exit 1 ;# we could allow it, but there is no point.
+fi
+
+# Is topic ever merged to next?  If so you should not be rebasing it.
+only_next_1=`git rev-list ^master "^$topic" ${publish} | sort`
+only_next_2=`git rev-list ^master           ${publish} | sort`
+if test "$only_next_1" = "$only_next_2"
+then
+	not_in_topic=`git rev-list "^$topic" master`
+	if test -z "$not_in_topic"
+	then
+		echo >&2 "$topic is already up-to-date with master"
+		exit 1 ;# we could allow it, but there is no point.
+	else
+		exit 0
+	fi
+else
+	not_in_next=`git rev-list --pretty=oneline ^${publish} "$topic"`
+	/usr/bin/perl -e '
+		my $topic = $ARGV[0];
+		my $msg = "* $topic has commits already merged to public branch:\n";
+		my (%not_in_next) = map {
+			/^([0-9a-f]+) /;
+			($1 => 1);
+		} split(/\n/, $ARGV[1]);
+		for my $elem (map {
+				/^([0-9a-f]+) (.*)$/;
+				[$1 => $2];
+			} split(/\n/, $ARGV[2])) {
+			if (!exists $not_in_next{$elem->[0]}) {
+				if ($msg) {
+					print STDERR $msg;
+					undef $msg;
+				}
+				print STDERR " $elem->[1]\n";
+			}
+		}
+	' "$topic" "$not_in_next" "$not_in_master"
+	exit 1
+fi
+
+exit 0
+
+################################################################
+
+This sample hook safeguards topic branches that have been
+published from being rewound.
+
+The workflow assumed here is:
+
+ * Once a topic branch forks from "master", "master" is never
+   merged into it again (either directly or indirectly).
+
+ * Once a topic branch is fully cooked and merged into "master",
+   it is deleted.  If you need to build on top of it to correct
+   earlier mistakes, a new topic branch is created by forking at
+   the tip of the "master".  This is not strictly necessary, but
+   it makes it easier to keep your history simple.
+
+ * Whenever you need to test or publish your changes to topic
+   branches, merge them into "next" branch.
+
+The script, being an example, hardcodes the publish branch name
+to be "next", but it is trivial to make it configurable via
+$GIT_DIR/config mechanism.
+
+With this workflow, you would want to know:
+
+(1) ... if a topic branch has ever been merged to "next".  Young
+    topic branches can have stupid mistakes you would rather
+    clean up before publishing, and things that have not been
+    merged into other branches can be easily rebased without
+    affecting other people.  But once it is published, you would
+    not want to rewind it.
+
+(2) ... if a topic branch has been fully merged to "master".
+    Then you can delete it.  More importantly, you should not
+    build on top of it -- other people may already want to
+    change things related to the topic as patches against your
+    "master", so if you need further changes, it is better to
+    fork the topic (perhaps with the same name) afresh from the
+    tip of "master".
+
+Let's look at this example:
+
+		   o---o---o---o---o---o---o---o---o---o "next"
+		  /       /           /           /
+		 /   a---a---b A     /           /
+		/   /               /           /
+	       /   /   c---c---c---c B         /
+	      /   /   /             \         /
+	     /   /   /   b---b C     \       /
+	    /   /   /   /             \     /
+    ---o---o---o---o---o---o---o---o---o---o---o "master"
+
+
+A, B and C are topic branches.
+
+ * A has one fix since it was merged up to "next".
+
+ * B has finished.  It has been fully merged up to "master" and "next",
+   and is ready to be deleted.
+
+ * C has not merged to "next" at all.
+
+We would want to allow C to be rebased, refuse A, and encourage
+B to be deleted.
+
+To compute (1):
+
+	git rev-list ^master ^topic next
+	git rev-list ^master        next
+
+	if these match, topic has not merged in next at all.
+
+To compute (2):
+
+	git rev-list master..topic
+
+	if this is empty, it is fully merged to "master".

vim/bundle/jellybeans.vim/.git/hooks/prepare-commit-msg.sample

+#!/bin/sh
+#
+# An example hook script to prepare the commit log message.
+# Called by "git commit" with the name of the file that has the
+# commit message, followed by the description of the commit
+# message's source.  The hook's purpose is to edit the commit
+# message file.  If the hook fails with a non-zero status,
+# the commit is aborted.
+#
+# To enable this hook, rename this file to "prepare-commit-msg".
+
+# This hook includes three examples.  The first comments out the
+# "Conflicts:" part of a merge commit.
+#
+# The second includes the output of "git diff --name-status -r"
+# into the message, just before the "git status" output.  It is
+# commented because it doesn't cope with --amend or with squashed
+# commits.
+#
+# The third example adds a Signed-off-by line to the message, that can
+# still be edited.  This is rarely a good idea.
+
+case "$2,$3" in
+  merge,)
+    /usr/bin/perl -i.bak -ne 's/^/# /, s/^# #/#/ if /^Conflicts/ .. /#/; print' "$1" ;;
+
+# ,|template,)
+#   /usr/bin/perl -i.bak -pe '
+#      print "\n" . `git diff --cached --name-status -r`
+#	 if /^#/ && $first++ == 0' "$1" ;;
+
+  *) ;;
+esac
+
+# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
+# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"

vim/bundle/jellybeans.vim/.git/hooks/update.sample

+#!/bin/sh
+#
+# An example hook script to blocks unannotated tags from entering.
+# Called by "git receive-pack" with arguments: refname sha1-old sha1-new
+#
+# To enable this hook, rename this file to "update".
+#
+# Config
+# ------
+# hooks.allowunannotated
+#   This boolean sets whether unannotated tags will be allowed into the
+#   repository.  By default they won't be.
+# hooks.allowdeletetag
+#   This boolean sets whether deleting tags will be allowed in the
+#   repository.  By default they won't be.
+# hooks.allowmodifytag
+#   This boolean sets whether a tag may be modified after creation. By default
+#   it won't be.
+# hooks.allowdeletebranch
+#   This boolean sets whether deleting branches will be allowed in the
+#   repository.  By default they won't be.
+# hooks.denycreatebranch
+#   This boolean sets whether remotely creating branches will be denied
+#   in the repository.  By default this is allowed.
+#
+
+# --- Command line
+refname="$1"
+oldrev="$2"
+newrev="$3"
+
+# --- Safety check
+if [ -z "$GIT_DIR" ]; then
+	echo "Don't run this script from the command line." >&2
+	echo " (if you want, you could supply GIT_DIR then run" >&2
+	echo "  $0 <ref> <oldrev> <newrev>)" >&2
+	exit 1
+fi
+
+if [ -z "$refname" -o -z "$oldrev" -o -z "$newrev" ]; then
+	echo "Usage: $0 <ref> <oldrev> <newrev>" >&2
+	exit 1
+fi
+
+# --- Config
+allowunannotated=$(git config --bool hooks.allowunannotated)
+allowdeletebranch=$(git config --bool hooks.allowdeletebranch)
+denycreatebranch=$(git config --bool hooks.denycreatebranch)
+allowdeletetag=$(git config --bool hooks.allowdeletetag)
+allowmodifytag=$(git config --bool hooks.allowmodifytag)
+
+# check for no description
+projectdesc=$(sed -e '1q' "$GIT_DIR/description")
+case "$projectdesc" in
+"Unnamed repository"* | "")
+	echo "*** Project description file hasn't been set" >&2
+	exit 1
+	;;
+esac
+
+# --- Check types
+# if $newrev is 0000...0000, it's a commit to delete a ref.
+zero="0000000000000000000000000000000000000000"
+if [ "$newrev" = "$zero" ]; then
+	newrev_type=delete
+else
+	newrev_type=$(git cat-file -t $newrev)
+fi
+
+case "$refname","$newrev_type" in
+	refs/tags/*,commit)
+		# un-annotated tag
+		short_refname=${refname##refs/tags/}
+		if [ "$allowunannotated" != "true" ]; then
+			echo "*** The un-annotated tag, $short_refname, is not allowed in this repository" >&2
+			echo "*** Use 'git tag [ -a | -s ]' for tags you want to propagate." >&2
+			exit 1
+		fi
+		;;
+	refs/tags/*,delete)
+		# delete tag
+		if [ "$allowdeletetag" != "true" ]; then
+			echo "*** Deleting a tag is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/tags/*,tag)
+		# annotated tag
+		if [ "$allowmodifytag" != "true" ] && git rev-parse $refname > /dev/null 2>&1
+		then
+			echo "*** Tag '$refname' already exists." >&2
+			echo "*** Modifying a tag is not allowed in this repository." >&2
+			exit 1
+		fi
+		;;
+	refs/heads/*,commit)
+		# branch
+		if [ "$oldrev" = "$zero" -a "$denycreatebranch" = "true" ]; then
+			echo "*** Creating a branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/heads/*,delete)
+		# delete branch
+		if [ "$allowdeletebranch" != "true" ]; then
+			echo "*** Deleting a branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/remotes/*,commit)
+		# tracking branch
+		;;
+	refs/remotes/*,delete)
+		# delete tracking branch
+		if [ "$allowdeletebranch" != "true" ]; then
+			echo "*** Deleting a tracking branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	*)
+		# Anything else (is there anything else?)
+		echo "*** Update hook: unknown type of update to ref $refname of type $newrev_type" >&2
+		exit 1
+		;;
+esac
+
+# --- Finished
+exit 0
Add a comment to this file

vim/bundle/jellybeans.vim/.git/index

Binary file added.

vim/bundle/jellybeans.vim/.git/info/exclude

+# git ls-files --others --exclude-from=.git/info/exclude
+# Lines that start with '#' are comments.
+# For a project mostly in C, the following would be a good set of
+# exclude patterns (uncomment them if you want to use them):
+# *.[oa]
+# *~

vim/bundle/jellybeans.vim/.git/logs/HEAD

+0000000000000000000000000000000000000000 2737231a45b02e54c53c1912ba06d7e77502cb46 Jonas Höglund <firefly@firefly.nu> 1345153428 +0200	clone: from https://github.com/nanotech/jellybeans.vim

vim/bundle/jellybeans.vim/.git/logs/refs/heads/master

+0000000000000000000000000000000000000000 2737231a45b02e54c53c1912ba06d7e77502cb46 Jonas Höglund <firefly@firefly.nu> 1345153428 +0200	clone: from https://github.com/nanotech/jellybeans.vim

vim/bundle/jellybeans.vim/.git/logs/refs/remotes/origin/HEAD

+0000000000000000000000000000000000000000 2737231a45b02e54c53c1912ba06d7e77502cb46 Jonas Höglund <firefly@firefly.nu> 1345153428 +0200	clone: from https://github.com/nanotech/jellybeans.vim
Add a comment to this file

vim/bundle/jellybeans.vim/.git/objects/pack/pack-6053ee1bf8812c353d317c07b40455e225d68d12.idx

Binary file added.

Add a comment to this file

vim/bundle/jellybeans.vim/.git/objects/pack/pack-6053ee1bf8812c353d317c07b40455e225d68d12.pack

Binary file added.

vim/bundle/jellybeans.vim/.git/packed-refs

+# pack-refs with: peeled 
+2737231a45b02e54c53c1912ba06d7e77502cb46 refs/remotes/origin/master
+27233bad46105775245750366f56a9a48b589e6f refs/tags/1.0
+^f7a68634230c2c244a26bae32592686858700ab5
+b05de39d21c15668e5e7486651398b1827662da3 refs/tags/1.1
+^455051e7958be0775686bb60aaffe3b6af4928b2
+78c1ea7c099dcd27c565dbb718d4c1ca0b363fb6 refs/tags/1.2
+^e90f3610d691688ac04dd441e962c4db752b8053
+e9f9e68a01aa5874bb1ba723b37f63e4e9cf3966 refs/tags/v1.3
+53c2f4c66700cc35a84965ebfd9b057885628462 refs/tags/v1.4
+^e1f02a9b6f409c29ceb6821644106e8237800d5f
+fa9d4019382f1199dd24cc4c349417eb75ca52c0 refs/tags/v1.5
+^d035cfbe154ba02bb92786f4f1caba1ee51ba681

vim/bundle/jellybeans.vim/.git/refs/heads/master

+2737231a45b02e54c53c1912ba06d7e77502cb46

vim/bundle/jellybeans.vim/.git/refs/remotes/origin/HEAD

+ref: refs/remotes/origin/master

vim/bundle/jellybeans.vim/.gitignore

+.DS_Store
+Thumbs.db
+*.swp

vim/bundle/jellybeans.vim/README.markdown

+jellybeans.vim
+==============
+
+A colorful, dark color scheme, inspired by [ir_black][] and [twilight][].
+
+Designed primarily for a graphical Vim, but includes support for 256, 88, 16,
+and 8 color terminals. On a 16 or 8 color terminal, replace its colors with
+those in `ansi-term-colors.txt` for best results.
+
+This script is [vimscript #2555][vimscript] at Vim.org.
+
+Scroll down for [screenshots][ss-anchor]!
+
+## Options
+
+### Custom Highlights
+
+If you prefer slightly different colors from what Jellybeans defines,
+you can set `g:jellybeans_overrides` in your .vimrc to a dictionary of
+custom highlighting parameters:
+
+    let g:jellybeans_overrides = {
+    \    'Todo': { 'guifg': '303030', 'guibg': 'f0f000',
+    \              'ctermfg': 'Black', 'ctermbg': 'Yellow',
+    \              'attr': 'bold' },
+    \}
+
+This removes the need to edit Jellybeans directly, simplifying
+upgrades. In addition, RGB colors specified this way are run through
+the same color approximation algorithm that the core theme uses, so
+your colors work just as well in 256-color terminals.
+
+If you can pick better colors than the approximator, specify them
+in the `256ctermfg` and `256ctermbg` parameters to override
+its choices.
+
+### Low-Color Black (16 and 8 color terminals)
+
+Since the background on a dark terminal is usually black already,
+Jellybeans appropriates the black ANSI color as a dark grey and
+uses no color when it really wants black.
+
+If you can’t or don’t want to change your terminal’s color
+mappings, add
+
+    let g:jellybeans_use_lowcolor_black = 0
+
+to your .vimrc to render “black” text as Vim’s grey (ANSI white).
+
+Users of Apple’s pre-10.7 Terminal.app can use the TerminalColours
+plugin ([Leopard][tc-leopard], [Snow Leopard][tc-snowleopard]) to
+change the default colors.
+
+## Screenshots
+
+![][preview-ss]
+
+
+[ir_black]: http://blog.infinitered.com/entries/show/6
+[twilight]: http://www.vim.org/scripts/script.php?script_id=1677
+[vimscript]: http://www.vim.org/scripts/script.php?script_id=2555
+[tc-leopard]: http://ciaranwal.sh/2007/11/01/customising-colours-in-leopard-terminal
+[tc-snowleopard]: http://github.com/timmfin/terminalcolours
+[preview-ss]: http://nanotech.nanotechcorp.net/downloads/jellybeans-preview.png
+[ss-anchor]: #screenshots

vim/bundle/jellybeans.vim/ansi-term-colors.txt

+Black    rgb(59,59,59)     #3b3b3b
+Red      rgb(207,106,76)   #cf6a4c
+Green    rgb(153,173,106)  #99ad6a
+Yellow   rgb(216,173,76)   #d8ad4c
+Blue     rgb(89,123,197)   #597bc5
+Magenta  rgb(160,55,176)   #a037b0
+Cyan     rgb(113,185,248)  #71b9f8
+White    rgb(173,173,173)  #adadad
 'solarized_termtrans'	solarized.txt	/*'solarized_termtrans'*
 'solarized_underline'	solarized.txt	/*'solarized_underline'*
 'solarized_visibility'	solarized.txt	/*'solarized_visibility'*
+AnsiEsc	AnsiEsc.txt	/*AnsiEsc*
+AnsiEsc-contents	AnsiEsc.txt	/*AnsiEsc-contents*
+AnsiEsc-copyright	AnsiEsc.txt	/*AnsiEsc-copyright*
+AnsiEsc-history	AnsiEsc.txt	/*AnsiEsc-history*
+AnsiEsc-manual	AnsiEsc.txt	/*AnsiEsc-manual*
+AnsiEsc.txt	AnsiEsc.txt	/*AnsiEsc.txt*
 before	solarized.txt	/*before*
+learnvim-Additional-Plugins	learnvim.txt	/*learnvim-Additional-Plugins*
+learnvim-Advanced	learnvim.txt	/*learnvim-Advanced*
+learnvim-Beginner	learnvim.txt	/*learnvim-Beginner*
+learnvim-Configuring-Vim	learnvim.txt	/*learnvim-Configuring-Vim*
+learnvim-Credits	learnvim.txt	/*learnvim-Credits*
+learnvim-External-Resources	learnvim.txt	/*learnvim-External-Resources*
+learnvim-Fundamental-Concepts	learnvim.txt	/*learnvim-Fundamental-Concepts*
+learnvim-Intermediate	learnvim.txt	/*learnvim-Intermediate*
+learnvim-Moderate	learnvim.txt	/*learnvim-Moderate*
+learnvim-Plugin-Management	learnvim.txt	/*learnvim-Plugin-Management*
+learnvim-Plugins	learnvim.txt	/*learnvim-Plugins*
+learnvim-Recommended-Plugins	learnvim.txt	/*learnvim-Recommended-Plugins*
+learnvim-Using-Help	learnvim.txt	/*learnvim-Using-Help*
+learnvim-basic-definitions	learnvim.txt	/*learnvim-basic-definitions*
+learnvim-beginnings	learnvim.txt	/*learnvim-beginnings*
+learnvim-community-resources	learnvim.txt	/*learnvim-community-resources*
+learnvim-configuration-files	learnvim.txt	/*learnvim-configuration-files*
+learnvim-configuration-options	learnvim.txt	/*learnvim-configuration-options*
+learnvim-essential-introduction	learnvim.txt	/*learnvim-essential-introduction*
+learnvim-expand-help-terms	learnvim.txt	/*learnvim-expand-help-terms*
+learnvim-gvimrc	learnvim.txt	/*learnvim-gvimrc*
+learnvim-gvimrc-additional-options	learnvim.txt	/*learnvim-gvimrc-additional-options*
+learnvim-helpgrep	learnvim.txt	/*learnvim-helpgrep*
+learnvim-marks	learnvim.txt	/*learnvim-marks*
+learnvim-matchit	learnvim.txt	/*learnvim-matchit*
+learnvim-motion	learnvim.txt	/*learnvim-motion*
+learnvim-namenclature	learnvim.txt	/*learnvim-namenclature*
+learnvim-option-browser	learnvim.txt	/*learnvim-option-browser*
+learnvim-path-overview	learnvim.txt	/*learnvim-path-overview*
+learnvim-pathogen	learnvim.txt	/*learnvim-pathogen*
+learnvim-permanent-settings	learnvim.txt	/*learnvim-permanent-settings*
+learnvim-personal-vimrc-filename	learnvim.txt	/*learnvim-personal-vimrc-filename*
+learnvim-recipe-helpgrep	learnvim.txt	/*learnvim-recipe-helpgrep*
+learnvim-search-replace	learnvim.txt	/*learnvim-search-replace*
+learnvim-setting-up-a-practice-file	learnvim.txt	/*learnvim-setting-up-a-practice-file*
+learnvim-surround	learnvim.txt	/*learnvim-surround*
+learnvim-take-apart-commands	learnvim.txt	/*learnvim-take-apart-commands*
+learnvim-vimrc	learnvim.txt	/*learnvim-vimrc*
+learnvim-vimrc-additional-options	learnvim.txt	/*learnvim-vimrc-additional-options*
+learnvim.txt	learnvim.txt	/*learnvim.txt*
+lv_A	learnvim.txt	/*lv_A*
+lv_B	learnvim.txt	/*lv_B*
+lv_B_I	learnvim.txt	/*lv_B_I*
+lv_B_II	learnvim.txt	/*lv_B_II*
+lv_B_III	learnvim.txt	/*lv_B_III*
+lv_B_IV	learnvim.txt	/*lv_B_IV*
+lv_I	learnvim.txt	/*lv_I*
+lv_M	learnvim.txt	/*lv_M*
 solarized	solarized.txt	/*solarized*
 solarized-colors	solarized.txt	/*solarized-colors*
 solarized-colorscheme	solarized.txt	/*solarized-colorscheme*

vim/syntax/todo.vim

   finish
 endif
 
+" Inherit Markdown syntax
+runtime syntax/markdown.vim
+
 
 """" Syntax rules """""""""""""""""""""""""""""""""""""""""""""""""""
 
 set incsearch
 set spelllang=sv
 
+set showcmd                     " show keys pressed in normal mode in last line
+set splitright                  " vsplit splits to right
+
 " Use persistent undo if available
 if version >= 703
   set undodir=~/.vim/undodir
 
 """" Indentation settings """""""""""""""""""""""""""""""""""""""""""
 " Note to self: expandtab, shiftwidth, tabstop, softtabstop, autoindent,
-"               smartindent, preserveindent, copyindent, shiftround.
+"               smartindent, preserveindent, copyindent, shiftround, smarttab.
 " ---- Use :retab for re-applying indentation rules!
 
 set copyindent                  " copy leading whitespace from previous line
 set autoindent
 set expandtab                   " expand tabs into spaces on <C-t>/<C-d>
 "set noexpandtab
+set nosmarttab                  " lets <Tab> and <BS> perform predictably.
 
 set tabstop=4                   " let actual tabs show up as 4 chars wide
 
 
 au BufRead,BufNewFile {*.lecnote}            set ft=lecnote
 au BufRead,BufNewFile {*.selfml}             set ft=selfml
+au BufRead,BufNewFile {*.todo,todo}          set ft=todo
 au BufRead            {*/xchatlogs/*.log}    set ft=irclog readonly
 
 " Add custom filetype-dependent metadata
 \     , 'StatusLineNC' : { '256ctermfg' : '250'
 \                        , '256ctermbg' : '233'  }
 \     , 'ColorColumn'  : { '256ctermbg' : '233'  }
+\     , 'LineNr'       : { '256ctermfg' : '238'  }
 \     , 'CursorLineNr' : { '256ctermfg' : '3'    }
 \     , 'Conceal'      : { '256ctermfg' : '14'
 \                        , '256ctermbg' : 'NONE' }
-\     , 'ModeMsg'      : { 'ctermfg' : '5a9c6a' }
+\     , 'ModeMsg'      : { 'attr'       : 'bold'
+\                        , '256ctermfg' : '2'    }
 \     }
 color jellybeans
 
 " Uses 2html.vim to generate an HTML file and upload it to my server.
 let g:html_number_lines = 0
 
-fun UploadCurrFileHTML()
-  TOhtml
-  silent w
-  silent !scp % xen:srv/http/up
-  silent !rm %
-  silent close
-  " TODO: Put link in clipboard
-endf
+if !exists("*UploadCurrFileHTML")
+  fun UploadCurrFileHTML()
+    TOhtml
+    silent w
+    silent !scp % xen:srv/http/up
+    silent !rm %
+    silent close
+    " TODO: Put link in clipboard
+  endf
 
-com Up     call UploadCurrFileHTML()
-com Upload call UploadCurrFileHTML()
+  com Up     call UploadCurrFileHTML()
+  com Upload call UploadCurrFileHTML()
+endif
 
 
 """" Plug-ins """""""""""""""""""""""""""""""""""""""""""""""""""""""
Tip: Filter by directory path e.g. /media app.js to search for public/media/app.js.
Tip: Use camelCasing e.g. ProjME to search for ProjectModifiedEvent.java.
Tip: Filter by extension type e.g. /repo .js to search for all .js files in the /repo directory.
Tip: Separate your search with spaces e.g. /ssh pom.xml to search for src/ssh/pom.xml.
Tip: Use ↑ and ↓ arrow keys to navigate and return to view the file.
Tip: You can also navigate files with Ctrl+j (next) and Ctrl+k (previous) and view the file with Ctrl+o.
Tip: You can also navigate files with Alt+j (next) and Alt+k (previous) and view the file with Alt+o.